<?php
if($article_id > 0){
    $result = $db->query("SELECT * FROM pm_article WHERE checked = 1 AND lang = ".LANG_ID." AND id = ".$article_id);
    if($result !== false && $db->last_row_count() == 1){
        
        $article = $result->fetch(PDO::FETCH_ASSOC);
        
        $article_title = $article['title'];
        $title_tag = $article_title." - ".$title_tag;
        $page_title = $article_title;
        $page_subtitle = $article['subtitle'];
        $page_alias = DOCBASE.LANG_ALIAS.$page_id."-".$article_id."/".text_format($article_title);

        if($article['comment'] == 1){
            $result_comment = $db->query("SELECT * FROM pm_comment WHERE id_article = ".$article_id." AND checked = 1 ORDER BY add_date DESC");
            if($result_comment !== false)
                $nb_comments = $db->last_row_count();
        }
    }else err404();
}else err404();

check_URI($page_alias);

/* ==============================================
 * CSS AND JAVASCRIPT USED IN THIS MODEL
 * ==============================================
 */
$stylesheets[] = array("file" => DOCBASE."js/plugins/isotope/css/style.css", "media" => "all");

$javascripts[] = DOCBASE."js/plugins/isotope/jquery.isotope.min.js";
$javascripts[] = DOCBASE."js/plugins/isotope/jquery.isotope.sloppy-masonry.min.js";

require(SYSBASE."templates/".TEMPLATE."/common/header.php"); ?>

<article id="page">
    <?php include(SYSBASE."templates/".TEMPLATE."/common/page_header.php"); ?>
    
    <div id="content" class="pt10 pb30">
        <div class="container">
            <div class="row">
                <div class="isotopeWrapper clearfix isotope">
                    <?php
                    $result_article_file = $db->query("SELECT * FROM pm_article_file WHERE id_item = ".$article_id." AND checked = 1 AND lang = ".DEFAULT_LANG." AND type = 'image' AND file != '' ORDER BY rank");
                    if($result_article_file !== false){
                        
                        foreach($result_article_file as $i => $row){
                        
                            $file_id = $row['id'];
                            $filename = $row['file'];
                            $label = $row['label'];
                            
                            $realpath = SYSBASE."medias/article/medium/".$file_id."/".$filename;
                            $thumbpath = DOCBASE."medias/article/medium/".$file_id."/".$filename;
                            $zoompath = DOCBASE."medias/article/big/".$file_id."/".$filename;
                            
                            if(is_file($realpath)){ ?>
                                <figure class="col-sm-4 isotopeItem">
                                    <a href="<?php echo $zoompath; ?>" class="more-link image-link">
                                        <img alt="<?php echo $label; ?>" src="<?php echo $thumbpath; ?>" class="img-responsive">
                                        <span class="more-action">
                                            <span class="more-icon">
                                                <i class="fa fa-search-plus"></i>
                                            </span>
                                        </span>
                                    </a>
                                </figure>
                                <?php
                            }
                        }
                    } ?>
                </div>
            </div>
        </div>
    </div>
</article>
