<?php
/**
 * Common file for all modules
 * checks the media directory and display the listing or the form according to the url
 */
debug_backtrace() || die ("Direct access not permitted");
define("ADMIN", true);
require_once("../../../common/lib.php");
require_once("../../../common/define.php");
if(!isset($_SESSION['login']) || $_SESSION['login'] !== true){
    header("Location: ../../login.php");
    exit();
}
if(!isset($_SESSION['redirect'])) $_SESSION['redirect'] = false;

require_once(SYSBASE."admin/includes/fn_module.php");
require_once(SYSBASE."admin/includes/fn_actions.php");

if(NB_FILES > 0){
    $upload_allowed = true;
    $media_path = "../../../medias/".MODULE."/";
    
    if(is_rwx("../../../medias/")){
    
        if(!is_dir($media_path)){
            mkdir($media_path, 0777);
            chmod($media_path, 0777);
        }
        if(!is_rwx($media_path) && !$_SESSION['redirect'])
            $_SESSION['msg_error'] .= str_replace("../", "", $media_path)." ".$texts['NO_WRITING'];
        
        if(!is_dir($media_path."tmp/")){
            mkdir($media_path."tmp/", 0777);
            chmod($media_path."tmp/", 0777);
        }
        if(!is_rwx($media_path."tmp/") && !$_SESSION['redirect'])
            $_SESSION['msg_error'] .= str_replace("../", "", $media_path)."tmp/ ".$texts['NO_WRITING'];
        
        if(RESIZING == 0 || RESIZING == 1){
            if(!is_dir($media_path."big/")){
                mkdir($media_path."big/", 0777);
                chmod($media_path."big/", 0777);
            }
            if(!is_rwx($media_path."big/") && !$_SESSION['redirect'])
                $_SESSION['msg_error'] .= str_replace("../", "", $media_path)."big/ ".$texts['NO_WRITING'];
        }
        if(RESIZING == 1){
            if(!is_dir($media_path."medium/")){
                mkdir($media_path."medium/", 0777);
                chmod($media_path."medium/", 0777);
            }
            if(!is_rwx($media_path."medium/") && !$_SESSION['redirect'])
                $_SESSION['msg_error'] .= str_replace("../", "", $media_path)."medium/ ".$texts['NO_WRITING'];
            
            if(!is_dir($media_path."small/")){
                mkdir($media_path."small/", 0777);
                chmod($media_path."small/", 0777);
            }
            if(!is_rwx($media_path."small/") && !$_SESSION['redirect'])
                $_SESSION['msg_error'] .= str_replace("../", "", $media_path)."small/ ".$texts['NO_WRITING'];
        }
        
        if(!is_dir($media_path."other/")){
            mkdir($media_path."other/", 0777);
            chmod($media_path."other/", 0777);
        }
        if(!is_rwx($media_path."other/") && !$_SESSION['redirect'])
            $_SESSION['msg_error'] .= str_replace("../", "", $media_path)."other/ ".$texts['NO_WRITING'];
            
    }elseif(!$_SESSION['redirect'])
        $_SESSION['msg_error'] .= "../../../medias/ ".$texts['NO_WRITING'];
        
    if($_SESSION['msg_error'] != "") $upload_allowed = false;
}

if(isset($_GET['view'])){
    $view = $_GET['view'];
    if($view == "list"){
        if(is_file("list.php")) require_once("list.php"); else require_once("../default/list.php");
    }
    if($view == "form"){
        if(is_file("form.php")) require_once("form.php"); else require_once("../default/form.php");
    }
}else{
    header("Location: ../../admin");
    exit();
}
