<footer>
    <section id="mainFooter">
        <div class="container" id="footer">
            <div class="row">
                <div class="col-sm-5">
                    <div class="footerWidget">
                        <?php echo $widgets['FOOTER1']; ?>
                    </div>
                </div>
                <div class="col-sm-4">
                    <p class="lead"><?php echo $texts['RECENT_ARTICLES']; ?></p>
                    <ul>
                        <?php
                        $result_article = $db->query("SELECT * FROM pm_article WHERE checked = 1 AND lang = ".LANG_ID." ORDER BY add_date DESC LIMIT 4");
                        if($result_article !== false){
                            foreach($result_article as $i => $row){
                                $article_id = $row['id'];
                                $article_title = $row['title'];
                                $article_page = $row['id_page'];
                                
                                $article_alias = DOCBASE.LANG_ALIAS.$article_page."-".$article_id."/".text_format($article_title); ?>
                                
                                <li><a href="<?php echo $article_alias; ?>" class="moreLink"><?php echo $article_title; ?></a></li>
                                <?php
                            }
                        } ?>
                    </ul>
                </div>
                <div class="col-sm-3">
                    <div itemscope itemtype="http://schema.org/Corporation">
                        <p class="lead" itemprop="name"><?php echo OWNER; ?></p>
                        <address>
                            <p>
                                <?php if(ADDRESS != "") : ?><i class="fa fa-map-marker"></i> <span itemprop="address" itemtype="http://schema.org/PostalAddress"><?php echo nl2br(ADDRESS); ?></span><br><?php endif; ?>
                                <?php if(PHONE != "") : ?><i class="fa fa-phone"></i> <span itemprop="telephone"><?php echo PHONE; ?></span><br><?php endif; ?>
                                <?php if(FAX != "") : ?><i class="fa fa-fax"></i> <span itemprop="faxNumber"><?php echo FAX; ?></span><br><?php endif; ?>
                                <?php if(EMAIL != "") : ?><i class="fa fa-envelope"></i> <a itemprop="email" href="mailto:<?php echo EMAIL; ?>"><?php echo EMAIL; ?></a><?php endif; ?>
                            </p>
                        </address>
                    </div>
                </div>

            </div>
        </div>
    </section>
    <div id="footerRights">
        <div class="container">
            <div class="row">
                <div class="col-md-6">
                    <p>
                        &copy; <?php echo date("Y"); ?>
                        <?php echo OWNER." ".$texts['ALL_RIGHTS_RESERVED']; ?>
                    </p>
                </div>
                <div class="col-md-6">
                    <p class="text-right">
                        <a href="<?php echo DOCBASE; ?>feed/" target="_blank" class="tips" title="<?php echo $texts['RSS_FEED']; ?>"><i class="fa fa-rss"></i></a>
                        <?php
                        foreach($pages as $page_id_nav => $page_nav){
                            $id_parent = $page_nav['id_parent'];
                            if($page_nav['footer'] == 1){ ?>
                                <a href="<?php echo DOCBASE.$page_nav['alias']; ?>" title="<?php echo $page_nav['title']; ?>"><?php echo $page_nav['name']; ?></a>
                                &nbsp;&nbsp;
                                <?php
                            }
                        } ?>
                    </p>
                </div>
            </div>
        </div>
    </div>
</footer>
<a href="#" id="toTop"><i class="fa-angle-up"></i></a>
</body>
</html>
<?php
$_SESSION['msg_error'] = "";
$_SESSION['msg_success'] = "";
$_SESSION['msg_notice'] = ""; ?>
