<?php
/* ==============================================
 * CSS AND JAVASCRIPT USED IN THIS MODEL
 * ==============================================
 */
$stylesheets[] = array("file" => DOCBASE."js/plugins/isotope/css/style.css", "media" => "all");
$stylesheets[] = array("file" => DOCBASE."js/plugins/lazyloader/lazyloader.css", "media" => "all");

$javascripts[] = DOCBASE."js/plugins/isotope/jquery.isotope.min.js";
$javascripts[] = DOCBASE."js/plugins/isotope/jquery.isotope.sloppy-masonry.min.js";
$javascripts[] = DOCBASE."js/plugins/lazyloader/lazyloader.js";

require(SYSBASE."templates/".TEMPLATE."/common/header.php"); ?>

<section id="page">
    
    <?php include(SYSBASE."templates/".TEMPLATE."/common/page_header.php"); ?>
    
    <section id="content" class="pt30 pb20">
        
        <div class="container" itemprop="text">
            <?php
            if($page['text2'] != ""){ ?>
                <div class="row">
                    <section class="col-md-9">
                        <?php echo $page['text']; ?>
                    </section>
                    <aside class="col-md-3">
                        <div class="hotBox">
                            <?php echo $page['text2']; ?>
                        </div>
                    </aside>
                </div>
                <?php
            }else echo $page['text']; ?>

            <div class="row">
                <?php
                $lz_offset = 1;
                $lz_limit = 9;
                $lz_pages = 0;
                $result = $db->query("SELECT count(*) FROM pm_article WHERE id_page = ".$page_id." AND checked = 1 AND lang = ".LANG_ID);
                if($result !== false){
                    $num_records = $result->fetchColumn(0);
                    $lz_pages = ceil($num_records/$lz_limit);
                }
                if($num_records > 0){
                    
                    $result_tag = $db->query("SELECT * FROM pm_tag WHERE pages REGEXP '(^|,)".$page_id."(,|$)' AND checked = 1 AND lang = ".LANG_ID." ORDER BY rank");
                    if($result_tag !== false){
                        $nb_tags = $db->last_row_count();
                        
                        if($nb_tags > 0){ ?>
                    
                            <nav id="filter" class="text-center mt20">
                                <div class="btn-group">
                                    <a href="" class="btn btn-default" data-filter="*"><?php echo $texts['ALL']; ?></a>
                                    <?php
                                    foreach($result_tag as $i => $row){
                                        $tag_id = $row['id'];
                                        $tag_value = $row['value']; ?>
                                        
                                        <a href="" class="btn btn-default" data-filter=".tag<?php echo $tag_id; ?>"><?php echo $tag_value; ?></a>
                                        
                                        <?php
                                    } ?>
                                </div>
                            </nav>
                            <?php
                        }
                    } ?>
                    
                    <div class="isotopeWrapper clearfix isotope lazy-wrapper" data-loader="<?php echo DOCBASE."templates/".TEMPLATE."/common/get_articles.php"; ?>" data-mode="click" data-limit="<?php echo $lz_limit; ?>" data-pages="<?php echo $lz_pages; ?>" data-is_isotope="true" data-variables="page_id=<?php echo $page_id; ?>">
                        <?php include(SYSBASE."templates/".TEMPLATE."/common/get_articles.php"); ?>
                    </div>
                    <?php
                } ?>
            </div>
        </div>
    </section>
</section>
